Method: customers.chromeBrowsers.list

擷取客戶的所有 Chrome 瀏覽器 (分頁)。

HTTP 要求

GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/chromeBrowsers

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

必填。格式:customers/{customerId}

查詢參數

參數
pageSize

integer

(選用步驟) 要傳回的結果數上限。上限和預設值為 100。

pageToken

string

(選用步驟) 用於指定清單中下一頁的權杖。

filter

string

(選用步驟) 用來篩選瀏覽器的篩選器。篩選器可使用下列欄位:

  • browser_permanent_id
  • last_policy_fetch_time
  • os_platform
  • os_architecture
  • os_version
  • machine_name
  • annotated_location
  • annotated_user
  • annotated_asset_id
  • annotated_note
  • org_unit_path
  • org_unit_id
  • last_registration_time
  • os_platform_version
  • browser_version
  • last_status_report_time
  • extension_count
  • policy_count
  • last_device_user
  • last_activity_time
  • device_id_collision

篩選器可使用下列函式:

  • in_group(string):篩選屬於指定 Cloud Identity 群組資源名稱 (例如 in_group("groups/{groupId}")) 的瀏覽器。

您可以使用上述任何欄位或函式指定篩選器,並使用 AND 運算子依多個欄位或函式篩選。字串類型、整數類型欄位和列舉類型欄位支援 = 和 : 運算子。時間戳記類型欄位支援 =、<= 和 >= 運算子。時間戳記應為以雙引號括住的 RFC-3339 格式字串 (例如 "2012-04-21T11:30:00-04:00")。萬用字元 * 僅適用於 machine_name、annotated_asset_id 和 browser_version。此外,系統也支援不含欄位名稱的全域字串常值篩選:如果任何已建立索引的字串欄位包含 ABC,則單一字詞 (例如 ABC) 會相符,而由 AND 或空白字元 (例如 machine AND 73 或 machine 73) 聯結的多個字詞會與每個字詞至少出現在一個已建立索引的字串欄位中的瀏覽器相符 (而單一引號片語 (例如 "machine 73") 會與單一欄位中的連續片語相符)。

orderBy

string

(選用步驟) 用於指定結果排序的欄位。支援的欄位如下:

  • browser_permanent_id
  • last_policy_fetch_time
  • annotated_user
  • annotated_location
  • annotated_asset_id
  • annotated_notes
  • org_unit_path
  • os_version
  • last_registration_time
  • extension_count
  • policy_count
  • last_device_user
  • machine_name
  • browser_version_channel
  • os_platform_version
  • last_activity_time
  • browser_version

根據預設,系統會按照遞增順序排序。如要指定欄位的遞減順序,請在欄位名稱中加入後置字串 desc。預設排序方式是 browser_permanent_id 的遞增順序。

要求主體

要求主體必須為空白。

回應主體

chromeBrowsers.list 方法的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "chromeBrowsers": [
    {
      object (ChromeBrowser)
    }
  ],
  "nextPageToken": string
}
欄位
chromeBrowsers[]

object (ChromeBrowser)

Chrome 瀏覽器裝置物件清單。

nextPageToken

string

用於存取這項結果下一頁的權杖。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/chrome.management.browsers.readonly
  • https://www.googleapis.com/auth/chrome.management.browsers